Part Chamfer: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
No edit summary
 
(27 intermediate revisions by 8 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:18-->
<!--T:18-->
{{Docnav
{{Docnav|[[Part_SectionCross|Cross sections]]|[[Part_Mirror|Mirror]]|[[Part_Module|Part]]|IconL=Part_SectionCross.png|IconC=Workbench_Part.svg|IconR=Part_Mirror.png}}
|[[Part_Fillet|Fillet]]
|[[Part_MakeFace|MakeFace]]
|[[Part_Workbench|Part]]
|IconL=Part_Fillet.svg
|IconR=Part_MakeFace.svg
|IconC=Workbench_Part.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Part Chamfer|MenuLocation=Part → Chamfer|Workbenches=[[Part Module|Part]]|SeeAlso=}}
|Name=Part Chamfer
|MenuLocation=Part → Chamfer...
|Workbenches=[[Part_Workbench|Part]]
|SeeAlso=[[Part_Fillet|Part Fillet]]
}}


==Description== <!--T:2-->
==Description== <!--T:25-->

Chamfers the selected edge(s) of an object. A dialog allows you to choose which edge(s) to work on as well as modify various chamfer parameters.
<!--T:2-->
'''Part Chamfer''' chamfers the selected edge(s) of an object. A dialog allows you to choose which edge(s) to work on as well as modify various chamfer parameters.


<!--T:5-->
<!--T:5-->
[[Image:Chamfer-example.png|Chamfer example]]
[[Image:Chamfer-example.png|Chamfer example]]


==How to Use== <!--T:3-->
==Usage== <!--T:24-->

# Press the {{KEY|[[Image:Part_Chamfer.svg|30px]]}} button from the [[Part_Workbench|Part Workbench]]. Alternatively, you can select {{MenuCommand|Part → Chamfer}}.
<!--T:3-->
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Chamfer.svg|16px]] Chamfer...}} button.
#* Select the {{MenuCommand|Part → Chamfer...}} option from the menu.
# Select the shape to chamfer from the dialog.
# Select the shape to chamfer from the dialog.
# Select edges to chamfer by checking the corresponding box in the chamfer dialog or by selecting them on the model directly.
# Select edges to chamfer by checking the corresponding box in the chamfer dialog or by selecting them on the model directly.
# Edit chamfer parameters.
# Edit chamfer parameters.
# Press OK to close the chamfer dialog and apply the chamfer.
# Press {{Button|OK}} to close the chamfer dialog and apply the chamfer.

==Options== <!--T:26-->


==Options== <!--T:4-->
<!--T:4-->
[[Image:Dialog-chamfer.png|Dialog-chamfer]]
[[Image:Dialog-chamfer.png|Dialog-chamfer]]
* When selecting edges on the model, you have the option to select by edge or by face. Selecting by face will select all bordering edges of that face.
* When selecting edges on the model, you have the option to select by edge or by face. Selecting by face will select all bordering edges of that face.
Line 27: Line 48:
** A variable length chamfer will have edges that may be set to different distances from the original edge, allowing you to create a chamfer at a variable angle.
** A variable length chamfer will have edges that may be set to different distances from the original edge, allowing you to create a chamfer at a variable angle.


==Properties== <!--T:6-->
==Properties== <!--T:27-->
[[Image:Part_Chamfer-Properties.png|left|Part_Chamfer Properties]]


<!--T:6-->
[[Image:Part_Chamfer-Properties.png|left|Part Chamfer Properties]]
{{clear}}


<!--T:28-->
{{Properties_Title|Base}}


<!--T:7-->
<!--T:7-->
{{Properties_Title|Base}}
*{{PropertyData|Base}}: The shape onto which the chamfer is to be applied.
*{{PropertyData|Base}}: The shape onto which the chamfer is to be applied.
*{{PropertyData|Placement}}: Specifies the orientation and position of the shape in the 3D space.
*{{PropertyData|Placement}}: Specifies the orientation and position of the shape in the 3D space.
Line 39: Line 63:
{{clear}}
{{clear}}


==Scripting== <!--T:8-->
==Limitations== <!--T:29-->

The Chamfer tool can by used in [[macros]] and from the python console by adding a Chamfer object to the document.
<!--T:22-->
Chamfer might do nothing if the result would touch or cross the next adjacent edge. So if you do not get the expected result, try with a smaller value. This is the same for [[Image:Part_Fillet.svg|24px]] [[Part_Fillet|Part Fillet]].

<!--T:23-->
Also note that the Chamfer feature is affected by the [[Topological_naming_problem|Topological naming problem]] when the any change is done to a modeling step earlier in the chain that affects the number of facets or vertices. This could cause unpredictable result. Until that is resolved it is advised to apply Chamfer and [[Image:Part_Fillet.svg|24px]] [[Part_Fillet|Part Fillet]] operations at the last steps in the chain.

==Scripting== <!--T:30-->

<!--T:8-->
The Chamfer tool can by used in [[Macros|macros]] and from the [[Python|Python]] console by adding a Chamfer object to the document.


<!--T:9-->
<!--T:9-->
'''Example Script:'''
'''Example Script:'''

</translate>
</translate>
{{Code|code=
{{Code|code=

import Part
import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
Line 73: Line 107:
<!--T:10-->
<!--T:10-->
'''Example Script Explanation:'''
'''Example Script Explanation:'''

</translate>
</translate>
{{Code|code=
{{Code|code=
Line 80: Line 115:
}}
}}
<translate>
<translate>

<!--T:11-->
<!--T:11-->
*Creates a 5 mm cube for us to apply chamfered edges to. See [[Part_API]] for an explanation of the makeBox method.
*Creates a 5 mm cube for us to apply chamfered edges to. See [[Part_API|Part_API]] for an explanation of the makeBox method.
</translate>
</translate>


Line 88: Line 124:
}}
}}
<translate>
<translate>

<!--T:12-->
<!--T:12-->
*Adds a new object to the document of type Chamfer (from the Part module) with label "myChamfer".
*Adds a new object to the document of type Chamfer (from the Part module) with label "myChamfer".
Line 96: Line 133:
}}
}}
<translate>
<translate>

<!--T:13-->
<!--T:13-->
*Specifies that the base shape of the chamfer object should be "myCube".
*Specifies that the base shape of the chamfer object should be "myCube".
</translate>


</translate>
{{Code|code=
{{Code|code=
myEdges = []
myEdges = []
Line 116: Line 154:
}}
}}
<translate>
<translate>

<!--T:14-->
<!--T:14-->
*Creates an empty array "myEdges" and then appends the array with each edge's chamfer parameters.
*Creates an empty array "myEdges" and then appends the array with each edge's chamfer parameters.
Line 133: Line 172:
}}
}}
<translate>
<translate>

<!--T:16-->
<!--T:16-->
*This line simply hides "myCube" so that our newly created "myChamfer" object is the only one visible.
*This line simply hides "myCube" so that our newly created "myChamfer" object is the only one visible.
</translate>


</translate>
{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}
<translate>
<translate>

<!--T:17-->
<!--T:17-->
*Recomputes all altered components on the screen and refreshes the display.
*Recomputes all altered components on the screen and refreshes the display.
Line 146: Line 187:


<!--T:19-->
<!--T:19-->
{{Docnav
{{Docnav|[[Part_SectionCross|Cross sections]]|[[Part_Mirror|Mirror]]|[[Part_Module|Part]]|IconL=Part_SectionCross.png|IconC=Workbench_Part.svg|IconR=Part_Mirror.png}}
|[[Part_Fillet|Fillet]]

|[[Part_MakeFace|MakeFace]]
<!--T:20-->
|[[Part_Workbench|Part]]
{{Part Tools navi}}
|IconL=Part_Fillet.svg

|IconR=Part_MakeFace.svg
<!--T:21-->
|IconC=Workbench_Part.svg
{{Userdocnavi}}
}}


</translate>
</translate>
{{Part Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:50, 25 June 2023

Part Chamfer

Menu location
Part → Chamfer...
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Fillet

Description

Part Chamfer chamfers the selected edge(s) of an object. A dialog allows you to choose which edge(s) to work on as well as modify various chamfer parameters.

Chamfer example

Usage

  1. There are several ways to invoke the command:
    • Press the Chamfer... button.
    • Select the Part → Chamfer... option from the menu.
  2. Select the shape to chamfer from the dialog.
  3. Select edges to chamfer by checking the corresponding box in the chamfer dialog or by selecting them on the model directly.
  4. Edit chamfer parameters.
  5. Press OK to close the chamfer dialog and apply the chamfer.

Options

Dialog-chamfer

  • When selecting edges on the model, you have the option to select by edge or by face. Selecting by face will select all bordering edges of that face.
  • Constant length chamfer or variable length chamfer.
    • A constant length chamfer will create a chamfer with edges equidistant to the original edge at the distance specified.
    • A variable length chamfer will have edges that may be set to different distances from the original edge, allowing you to create a chamfer at a variable angle.

Properties

Part Chamfer Properties
Part Chamfer Properties

Base

  • DataBase: The shape onto which the chamfer is to be applied.
  • DataPlacement: Specifies the orientation and position of the shape in the 3D space.
  • DataLabel: Label given to the object. Change to suit your needs.

Limitations

Chamfer might do nothing if the result would touch or cross the next adjacent edge. So if you do not get the expected result, try with a smaller value. This is the same for Part Fillet.

Also note that the Chamfer feature is affected by the Topological naming problem when the any change is done to a modeling step earlier in the chain that affects the number of facets or vertices. This could cause unpredictable result. Until that is resolved it is advised to apply Chamfer and Part Fillet operations at the last steps in the chain.

Scripting

The Chamfer tool can by used in macros and from the Python console by adding a Chamfer object to the document.

Example Script:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Example Script Explanation:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Creates a 5 mm cube for us to apply chamfered edges to. See Part_API for an explanation of the makeBox method.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Adds a new object to the document of type Chamfer (from the Part module) with label "myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Specifies that the base shape of the chamfer object should be "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Creates an empty array "myEdges" and then appends the array with each edge's chamfer parameters.
  • Syntax for each item should be (edge#, chamfer start length, chamfer end length)
chmfr.Edges = myEdges
  • Sets the Edges attribute of our Chamfer object equal to the array we just created.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • This line simply hides "myCube" so that our newly created "myChamfer" object is the only one visible.
FreeCAD.ActiveDocument.recompute()
  • Recomputes all altered components on the screen and refreshes the display.